Page MenuHomePhabricator

ULS language selector does not sort languages intuitively
Closed, ResolvedPublic

Description

Observed:

  • Languages are sorted in the following order, which appears to be based on language code:
    • kwéyòl (acf)
    • Albaamo innaaɬiilka (akz)
    • mapudungun (arn)
    • Araona (aro)
    • American sign language (asl)
    • atikamekw (atj)
    • Aymar aru (ay)
    • Choctaw (cho)
    • ᏣᎳᎩ (chr)
    • Tsetsêhestâhese (chy)
    • Ojibwemowin (ciw)
    • etc.

Expected:

  • The languages are supposed to be grouped by writing system. "ᏣᎳᎩ" is in the Cherokee syllabary, so it's not supposed to be between two Latin autonyms.
  • After grouping by writing system, the languages are supposed to be sorted alphabetically by autonym and not by language code.

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : masterUpdates jquery.uls to upstream

Event Timeline

Amire80 created this task.Mar 7 2018, 8:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 8:56 AM

Looks like this happens everywhere, not only on Special:Translate. For example, in CLL on https://sv.wikipedia.org , Amharic (አማርኛ) appears between Akan and Bamanankan, even though it's supposed to appear separately.

This needs a fix in jquery.uls.

Nikerabbit renamed this task from On Special:Translate the target language selector sorts languages incorrectly to ULS language selector does not sort languages intuitively.May 15 2018, 7:58 AM

Change 434505 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] Updates jquery.uls to upstream

https://gerrit.wikimedia.org/r/434505

Change 434505 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Updates jquery.uls to upstream

https://gerrit.wikimedia.org/r/434505

Amire80 claimed this task.May 22 2018, 4:45 PM
Amire80 triaged this task as Medium priority.
Amire80 moved this task from Maintenance backlog to QA on the Language-2018-Apr-June board.

Deployed on translatewiki.

Suppossed to be deployed on the train this week.

Etonkovidova closed this task as Resolved.May 29 2018, 1:09 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked - the grouping by script seems to be implemented. I found a small bug - filed as T195803: ULS language selector tooltip displays titles written in original languages